Web lists-archives.com

Re: libnode *might* need abi bump related to openssl 1.1.1 api break... or not...




On 2019-02-18 11:08:30 [+0100], Jérémy Lal wrote:
> hi !
Hi,

> It happens that that api breakage has been reverted and is merged in
> openssl 1.1.1 stable branch:
> https://github.com/openssl/openssl/commit/37857e9b5258da148e5d3699b6acdf8787417eb2
> 
> If openssl releases this and the release goes to buster, then all is fine
> in nodejs land.

I would expect to upload 1.1.1b to unstable/testing/buster once it is
released by upstream (I have no idea when this happens). The latest
1.1.0/1.0.2 was also uploaded to Stretch as part of a security upload.

> However it's a special case that needs release team approval and
> coordination,
> between openssl and nodejs.
> 
> Thanks for the feedback,
> Jérémy

Sebastian